## org.exist.storage.io
Class VariableByteInputStream

    java.lang.Object
      org.exist.storage.io.AbstractVariableByteInput
          org.exist.storage.io.VariableByteInputStream

All Implemented Interfaces:
  VariableByteInput

public class VariableByteInputStream
extends AbstractVariableByteInput

Implements VariableByteInput on top of an InputStream.

Author:
  wolf

Constructor Summary
`VariableByteInputStream(java.io.InputStream is)`

Method Summary
`int` `available()` Returns a value > 0 if more bytes can be read from the input.
`int` `read()` Read a single byte and return as an int value.

Methods inherited from class org.exist.storage.io.AbstractVariableByteInput
`copyRaw, copyTo, copyTo, read, read, readByte, readFixedInt, readInt, readLong, readShort, readUTF, release, skip, skipBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableByteInputStream

    public VariableByteInputStream(java.io.InputStream is)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Description copied from interface: `VariableByteInput`
  Read a single byte and return as an int value.

  Specified by:
    `read` in interface `VariableByteInput`
  Specified by:
    `read` in class `AbstractVariableByteInput`
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Description copied from interface: `VariableByteInput`
  Returns a value > 0 if more bytes can be read from the input.

  Specified by:
    `available` in interface `VariableByteInput`
  Specified by:
    `available` in class `AbstractVariableByteInput`
  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.